Subject: Re: linux-next: build failure after merge of the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 9 Jul 2025 16:00:27 -0400

On Wed, Jul 09, 2025 at 10:19:05PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the vhost tree, today's linux-next build (x86_64
> allnoconfig) failed like this:
> 
> In file included from /home/sfr/next/next/arch/x86/events/amd/ibs.c:12:
> /home/sfr/next/next/include/linux/pci.h: In function 'pci_set_disconnect_work':
> /home/sfr/next/next/include/linux/pci.h:2738:14: error: implicit declaration of function 'pci_device_is_present'; did you mean 'pci_dev_present'? [-Wimplicit-function-declaration]
>  2738 |         if (!pci_device_is_present(pdev))
>       |              ^~~~~~~~~~~~~~~~~~~~~
>       |              pci_dev_present
> 
> Caused by commit
> 
>   b7468115b604 ("pci: report surprise removal event")
> 
> I have reverted that commit and the 4 following ones (just in case).
> 
> -- 
> Cheers,
> Stephen Rothwell

Weird:
$ git grep pci_device_is_present include/linux/pci.h 
include/linux/pci.h:bool pci_device_is_present(struct pci_dev *pdev);
include/linux/pci.h:    if (!pci_device_is_present(pdev))

and of course I did build it ... which commit should I test?

-- 
MST